---
layout: feature
title: GitLab Jenkins Integration
suppress_header: true
extra_css:
  - gitlab-feature-landing-page.css
  - features.css
---
.wrapper.gitlab-ee-page
  = partial "includes/features/gitlab-ee-nav"
  .image-title
    .color-bg
      %div
        %h1 GitLab Jenkins Integration
        %h3#description Trigger a Jenkins build for every push to your GitLab Projects
        %a.btn.cta-btn.btn-white{ href: "https://docs.gitlab.com/ee/integration/jenkins.html", target: "_blank" } Documentation
  .sub-wrapper
    .container
      .row#overview
        .col-xs-12.col-md-10.col-md-offset-1
          %h2 Overview
          %p.overview
            :markdown
              GitLab is a fully featured software development platform that
              includes, among other powerful [features](/features/), built-in
              [GitLab CI/CD](/features/gitlab-ci-cd/) to leverage the ability to build,
              test, and deploy your apps without requiring you to integrate
              with CI/CD external tools.
          %p.overview
            :markdown
              However, many organizations have been using [Jenkins](https://jenkins.io/)
              for their deployment processes, and need an integration
              with Jenkins to be able to onboard to GitLab before switching to GitLab CI/CD.
              Others have to use Jenkins to build and deploy their applications because of
              the inability to change the established infrastructure for current projects,
              but they want to use GitLab for all the other capabilities.
          %p.overview
            :markdown
              With GitLab's Jenkins integration, you can effortlessly set up your project
              to build with Jenkins, and GitLab will output the results for you right
              from GitLab's UI.
      %hr.divider/

      .row#benefit-1
        .col-md-4.hidden-xs.hidden-sm
          .ee-feature-icon
            = icon("checklist-icon")
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 How it works
          .overview
            :markdown
              - **Display Jenkins results on GitLab Merge Requests:** When you set up
                GitLab Jenkins integration to your project, any push to your project
                will trigger a build on the external Jenkins installation,
                and GitLab will output the pipeline status (success or failed) for you
                right on the merge request widget and from your project's
                [pipelines](https://docs.gitlab.com/ee/ci/pipelines.html) list.
              - **Quickly access your build logs:** Every time you want to check your
                build log, you simply click on the result badge and GitLab will take you
                to your pipeline on Jenkins UI.
      %hr.divider/

      .row#benefit-2
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Benefits
          .overview
            :markdown
              - **Easily and quickly configurable:** Jenkins is easily integrated with
                [GitLab Enterprise Edition](/gitlab-ee/), right from your project's integrations settings.
                Once you've enabled the service to configure GitLab's authentication with
                your Jenkins server, and Jenkins knows how to interact with GitLab,
                it's ready to use, out-of-the-box.
              - **Maintain your workflow leveraged by GitLab:** despite having Jenkins
                running your builds, everything else can be handled by GitLab, since the
                discussion of new ideas, until the deployment to production.
                Using the Jenkins interface is needed only if you want to get more details,
                for example in case of failure.
        .col-md-4.col-md-offset-1.hidden-xs.hidden-sm
          .ee-feature-icon
            = icon("clock-icon")
      %hr.divider/
